# GridItemType

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the valid grid item types for a [PropertyGrid](/api/wisej.web/lists-and-grids/propertygrid.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum GridItemType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum GridItemType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                                                                                                                                                                                   |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **ArrayValue** | The [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) is an element of an array.                                                                                                                                                  |
| **Category**   | A grid entry that is a category name. A category is a descriptive grouping for groups of [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) rows. Typical categories include the following Behavior, Layout, Data, and Appearance. |
| **Property**   | A grid entry that corresponds to a property.                                                                                                                                                                                                                  |
| **Root**       | A root item in the grid hierarchy.                                                                                                                                                                                                                            |

## Used By

| Name                                                                                                    | Description                                                                                             |
| ------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| [GridItem.GridItemType](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md#griditemtype) | Returns the type of this [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditemtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
